{
	"archive" : {},
	"artifacts" : 
	[
		{
			"path" : "esp-idf/joltwallet__littlefs/libjoltwallet__littlefs.a"
		}
	],
	"backtrace" : 2,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"idf_component_register",
			"set_property",
			"__component_set_dependencies",
			"__component_set_all_dependencies",
			"add_compile_options",
			"add_c_compile_options",
			"add_compile_definitions",
			"include_directories",
			"target_include_directories",
			"__component_add_include_dirs"
		],
		"files" : 
		[
			"C:/Users/a.abrosimov/.platformio/packages/framework-espidf/tools/cmake/component.cmake",
			"managed_components/joltwallet__littlefs/CMakeLists.txt",
			"C:/Users/a.abrosimov/.platformio/packages/framework-espidf/tools/cmake/utilities.cmake",
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 1
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 17,
				"parent" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 480,
				"parent" : 1
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 514,
				"parent" : 1
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 358,
				"parent" : 3
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 337,
				"parent" : 4
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 465,
				"parent" : 1
			},
			{
				"command" : 6,
				"file" : 0,
				"line" : 467,
				"parent" : 1
			},
			{
				"command" : 5,
				"file" : 2,
				"line" : 281,
				"parent" : 7
			},
			{
				"command" : 7,
				"file" : 0,
				"line" : 466,
				"parent" : 1
			},
			{
				"file" : 3
			},
			{
				"command" : 8,
				"file" : 3,
				"line" : 32,
				"parent" : 10
			},
			{
				"command" : 8,
				"file" : 3,
				"line" : 33,
				"parent" : 10
			},
			{
				"command" : 8,
				"file" : 0,
				"line" : 464,
				"parent" : 1
			},
			{
				"command" : 10,
				"file" : 0,
				"line" : 482,
				"parent" : 1
			},
			{
				"command" : 9,
				"file" : 0,
				"line" : 316,
				"parent" : 14
			},
			{
				"command" : 10,
				"file" : 0,
				"line" : 483,
				"parent" : 1
			},
			{
				"command" : 9,
				"file" : 0,
				"line" : 316,
				"parent" : 16
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 355,
				"parent" : 3
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 340,
				"parent" : 18
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 337,
				"parent" : 4
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 337,
				"parent" : 4
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-mlongcalls "
				},
				{
					"backtrace" : 6,
					"fragment" : "-ffunction-sections"
				},
				{
					"backtrace" : 6,
					"fragment" : "-fdata-sections"
				},
				{
					"backtrace" : 6,
					"fragment" : "-Wno-error=unused-function"
				},
				{
					"backtrace" : 6,
					"fragment" : "-Wno-error=unused-variable"
				},
				{
					"backtrace" : 6,
					"fragment" : "-Wno-error=unused-but-set-variable"
				},
				{
					"backtrace" : 6,
					"fragment" : "-Wno-error=deprecated-declarations"
				},
				{
					"backtrace" : 6,
					"fragment" : "-Wno-unused-parameter"
				},
				{
					"backtrace" : 6,
					"fragment" : "-Wno-sign-compare"
				},
				{
					"backtrace" : 6,
					"fragment" : "-Wno-enum-conversion"
				},
				{
					"backtrace" : 6,
					"fragment" : "-gdwarf-4"
				},
				{
					"backtrace" : 6,
					"fragment" : "-ggdb"
				},
				{
					"backtrace" : 6,
					"fragment" : "-Og"
				},
				{
					"backtrace" : 6,
					"fragment" : "-fmacro-prefix-map=C:/Git/waterius-esp32s2/ESP32S2=."
				},
				{
					"backtrace" : 6,
					"fragment" : "-fmacro-prefix-map=C:/Users/a.abrosimov/.platformio/packages/framework-espidf=/IDF"
				},
				{
					"backtrace" : 6,
					"fragment" : "-fstrict-volatile-bitfields"
				},
				{
					"backtrace" : 6,
					"fragment" : "-fno-lto"
				},
				{
					"backtrace" : 6,
					"fragment" : "-fno-jump-tables"
				},
				{
					"backtrace" : 6,
					"fragment" : "-fno-tree-switch-conversion"
				},
				{
					"backtrace" : 6,
					"fragment" : "-DconfigENABLE_FREERTOS_DEBUG_OCDAWARE=1"
				},
				{
					"backtrace" : 8,
					"fragment" : "-std=gnu17"
				},
				{
					"backtrace" : 8,
					"fragment" : "-Wno-old-style-declaration"
				},
				{
					"fragment" : "-DLFS_CONFIG=lfs_config.h"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 9,
					"define" : "ESP_PLATFORM"
				},
				{
					"backtrace" : 9,
					"define" : "IDF_VER=\"5.1.5.250117\""
				},
				{
					"backtrace" : 2,
					"define" : "SOC_MMU_PAGE_SIZE=CONFIG_MMU_PAGE_SIZE"
				},
				{
					"backtrace" : 9,
					"define" : "_GNU_SOURCE"
				},
				{
					"backtrace" : 9,
					"define" : "_POSIX_READER_WRITER_LOCKS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 11,
					"path" : "C:/Git/waterius-esp32s2/ESP32S2/src/usb"
				},
				{
					"backtrace" : 12,
					"path" : "C:/Git/waterius-esp32s2/ESP32S2/.pio/libdeps/esp32s2/TinyUSB/src"
				},
				{
					"backtrace" : 13,
					"path" : "C:/Git/waterius-esp32s2/ESP32S2/.pio/build/esp32s2/config"
				},
				{
					"backtrace" : 15,
					"path" : "C:/Git/waterius-esp32s2/ESP32S2/managed_components/joltwallet__littlefs/include"
				},
				{
					"backtrace" : 17,
					"path" : "C:/Git/waterius-esp32s2/ESP32S2/managed_components/joltwallet__littlefs/src"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/newlib/platform_include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/freertos/FreeRTOS-Kernel/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/freertos/FreeRTOS-Kernel/portable/xtensa/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/freertos/esp_additions/include/freertos"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/freertos/esp_additions/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/freertos/esp_additions/arch/xtensa/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_hw_support/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_hw_support/include/soc"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_hw_support/include/soc/esp32s2"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_hw_support/port/esp32s2/."
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/heap/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/log/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/soc/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/soc/esp32s2"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/soc/esp32s2/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/hal/esp32s2/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/hal/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/hal/platform_port/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_rom/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_rom/include/esp32s2"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_rom/esp32s2"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_common/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_system/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_system/port/soc"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_system/port/include/private"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/xtensa/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/xtensa/esp32s2/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/lwip/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/lwip/include/apps"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/lwip/include/apps/sntp"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/lwip/lwip/src/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/lwip/port/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/lwip/port/freertos/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/lwip/port/esp32xx/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/lwip/port/esp32xx/include/arch"
				},
				{
					"backtrace" : 19,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_partition/include"
				},
				{
					"backtrace" : 20,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/spi_flash/include"
				},
				{
					"backtrace" : 21,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/vfs/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/sdmmc/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/deprecated"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/analog_comparator/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/dac/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/gpio/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/gptimer/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/i2c/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/i2s/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/ledc/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/mcpwm/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/parlio/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/pcnt/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/rmt/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/sdio_slave/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/sdmmc/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/sigma_delta/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/spi/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/temperature_sensor/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/touch_sensor/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/twai/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/uart/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/usb_serial_jtag/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver/touch_sensor/esp32s2/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_pm/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_ringbuf/include"
				}
			],
			"language" : "C",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4
			]
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 5,
			"id" : "__idf_sdmmc::@89ed5bca1750ffbc7db6"
		},
		{
			"backtrace" : 2,
			"id" : "__idf_xtensa::@1daaaad7abe597e030f9"
		}
	],
	"id" : "__idf_joltwallet__littlefs::@76002c3da0fd4d8a082e",
	"name" : "__idf_joltwallet__littlefs",
	"nameOnDisk" : "libjoltwallet__littlefs.a",
	"paths" : 
	{
		"build" : "esp-idf/joltwallet__littlefs",
		"source" : "managed_components/joltwallet__littlefs"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "managed_components/joltwallet__littlefs/src/littlefs/lfs.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "managed_components/joltwallet__littlefs/src/littlefs/lfs_util.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "managed_components/joltwallet__littlefs/src/esp_littlefs.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "managed_components/joltwallet__littlefs/src/littlefs_esp_part.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "managed_components/joltwallet__littlefs/src/lfs_config.c",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "STATIC_LIBRARY"
}
